RunReveal

TransformCreate creates a new transform with its rules in the workspace.

TransformCreate creates a new transform with its rules in the workspace.

POST
/transforms/create

Request Body

application/jsonRequired

configobject

rulesarray<object>

curl -X POST "https://api.runreveal.com/transforms/create" \
  -H "Content-Type: application/json" \
  -d '{
    "config": {
      "createdAt": "string",
      "createdBy": "string",
      "description": "string",
      "displayName": "string",
      "id": "string",
      "name": "string",
      "sourceIDs": [
        "string"
      ],
      "updatedAt": "string",
      "workspaceID": "string"
    },
    "rules": [
      {
        "id": "string",
        "processors": [
          {
            "config": [
              0
            ],
            "id": "string",
            "type": "string"
          }
        ],
        "transformID": "string",
        "workspaceID": "string"
      }
    ]
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": "string",
    "createdBy": "string",
    "description": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "sourceIDs": [
      "string"
    ],
    "updatedAt": "string",
    "workspaceID": "string"
  },
  "success": true
}

TransformDelete deletes a transform, looked up by name or ID.

TransformDelete deletes a transform, looked up by name or ID.

DELETE
/transforms/delete

Query Parameters

idstring

namestring

curl -X DELETE "https://api.runreveal.com/transforms/delete?id=string&name=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {},
  "success": true
}

TransformGet returns a transform and its rules, looked up by name or ID.

TransformGet returns a transform and its rules, looked up by name or ID.

GET
/transforms/get

Query Parameters

idstring

namestring

curl -X GET "https://api.runreveal.com/transforms/get?id=string&name=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "config": {
      "createdAt": "string",
      "createdBy": "string",
      "description": "string",
      "displayName": "string",
      "id": "string",
      "name": "string",
      "sourceIDs": [
        "string"
      ],
      "updatedAt": "string",
      "workspaceID": "string"
    },
    "rules": [
      {
        "id": "string",
        "processors": [
          {
            "config": [
              0
            ],
            "id": "string",
            "type": "string"
          }
        ],
        "transformID": "string",
        "workspaceID": "string"
      }
    ]
  },
  "success": true
}

TransformList returns a paginated list of the transforms in the workspace, including their rules.

TransformList returns a paginated list of the transforms in the workspace, including their rules.

GET
/transforms/list
curl -X GET "https://api.runreveal.com/transforms/list"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "config": {
        "createdAt": "string",
        "createdBy": "string",
        "description": "string",
        "displayName": "string",
        "id": "string",
        "name": "string",
        "sourceIDs": [
          "string"
        ],
        "updatedAt": "string",
        "workspaceID": "string"
      },
      "rules": [
        {
          "id": "string",
          "processors": [
            {
              "config": [
                0
              ],
              "id": "string",
              "type": "string"
            }
          ],
          "transformID": "string",
          "workspaceID": "string"
        }
      ]
    }
  ],
  "success": true
}

TransformTest applies transform rules to a sample event and returns the normalized event and per-rule outputs.

TransformTest applies transform rules to a sample event and returns the normalized event and per-rule outputs.

POST
/transforms/test

Request Body

application/jsonRequired

rulesarray<object>

sampleEventstring

curl -X POST "https://api.runreveal.com/transforms/test" \
  -H "Content-Type: application/json" \
  -d '{
    "rules": [
      {
        "id": "string",
        "processors": [
          {
            "config": [
              0
            ],
            "id": "string",
            "type": "string"
          }
        ],
        "transformID": "string",
        "workspaceID": "string"
      }
    ],
    "sampleEvent": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "normalizedEvent": "string",
    "ruleOutputs": {
      "property1": {
        "error": "string",
        "output": "string"
      },
      "property2": {
        "error": "string",
        "output": "string"
      }
    }
  },
  "success": true
}

TransformTestRule runs a set of transform rule processors against a sample event and returns the output of each step.

TransformTestRule runs a set of transform rule processors against a sample event and returns the output of each step.

POST
/transforms/test/rule

Request Body

application/jsonRequired

processorsarray<object>

sampleEventstring

curl -X POST "https://api.runreveal.com/transforms/test/rule" \
  -H "Content-Type: application/json" \
  -d '{
    "processors": [
      {
        "config": [
          0
        ],
        "id": "string",
        "type": "string"
      }
    ],
    "sampleEvent": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "stepOutputs": {
      "property1": {
        "error": "string",
        "output": "string"
      },
      "property2": {
        "error": "string",
        "output": "string"
      }
    }
  },
  "success": true
}

TransformUpdate updates an existing transform and its rules, looked up by name.

TransformUpdate updates an existing transform and its rules, looked up by name.

PUT
/transforms/update

Request Body

application/jsonRequired

configobject

rulesarray<object>

curl -X PUT "https://api.runreveal.com/transforms/update" \
  -H "Content-Type: application/json" \
  -d '{
    "config": {
      "createdAt": "string",
      "createdBy": "string",
      "description": "string",
      "displayName": "string",
      "id": "string",
      "name": "string",
      "sourceIDs": [
        "string"
      ],
      "updatedAt": "string",
      "workspaceID": "string"
    },
    "rules": [
      {
        "id": "string",
        "processors": [
          {
            "config": [
              0
            ],
            "id": "string",
            "type": "string"
          }
        ],
        "transformID": "string",
        "workspaceID": "string"
      }
    ]
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": "string",
    "createdBy": "string",
    "description": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "sourceIDs": [
      "string"
    ],
    "updatedAt": "string",
    "workspaceID": "string"
  },
  "success": true
}